
#include "tid_driver_comm.h"
#include "port_spi.h"
#include <string.h>

#ifndef __FM_DRIVER_SPI_H__
#define __FM_DRIVER_SPI_H__

//SPI CMD
#define SPI_CMD_GET_ID			0x9F
#define SPI_CMD_SEND_DATA		0x02
#define SPI_CMD_RECV_DATA		0x03
#define SPI_CMD_CHK_STATE		0x05

#define SPI_CMD_DELAY			16

#define SPI_MIN_LEN				2
#define SPI_MAX_LEN				1024


//config for user debug SPI
//#define DEBUG_SPI

/***********************************************/
typedef struct{
	uint8_t lenhi;
	uint8_t lenlo;
	uint8_t cla;
	uint8_t ins;
	uint8_t p1;
	uint8_t p2;
	uint8_t p3;
	uint8_t cdata[256];
	uint8_t lrc;
}sFmSpiCmdPack;

/************************************************/
extern sTidFunc gfm_func_spi;

#endif
