
#ifndef __PORT_LINUX_H__
#define __PORT_LINUX_H__

#include "tid_export.h"



typedef struct{
	void (*tid_linux_power_on)(void);
	void (*tid_linux_power_off)(void);
	void (*tid_linux_init)(void);
	void (*tid_linux_start)(void);
	void (*tid_linux_stop)(void);
	eTidResult (*tid_linux_send_char)(uint8_t ch);
	eTidResult (*tid_linux_recv_char)(void);
	eTidResult (*tid_linux_recv_buf)(uint8_t *rbuf,uint16_t rlen);
	eTidResult (*tid_linux_send_buf)(uint8_t *sbuf,uint16_t slen);
	void (*tid_linux_wake)(void);
    void (*tid_linux_standby)(void);
} sTid_LINUX_Driver;


extern sTid_LINUX_Driver gusr_linux_drv;


#endif



