
#ifndef __PORT_SPI_H_
#define	__PORT_SPI_H_


#define SE_SPI_NUM_1				1
#define SE_SPI_NUM_2				2

#define SPI_PWR_ON_DELAY			15
#define SPI_PWR_OFF_DELAY			15


#define SPI_SEL_DELAY				100
#define SPI_DESEL_DELAY				100



typedef struct{
	uint8_t se_spi_num;
	void (*tid_spi_power_on)(void);
	void (*tid_spi_power_off)(void);
	void (*tid_spi_init)(void);
	void (*tid_spi_select)(void);
	void (*tid_spi_deselect)(void);
	uint8_t (*tid_spi_transceive_char)(uint8_t ch);
} sTid_SPI_Driver;

extern sTid_SPI_Driver gusr_spi_drv;

#endif


